document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_20700
--- +++ @@ -43,4 +43,4 @@ git add -A && git commit -m "Build #$TRAVIS_BUILD_NUMBER" # Andddd pushes! -git push origin master +git push origin master > /dev/null 2>$1
bash
d_bash_20701
--- +++ @@ -8,6 +8,6 @@ cronjob="0 * * * * $cron_cmd" echo " crontab was:" echo "$(crontab -l)" -( crontab -l 2>/dev/null | grep -v -F "$croncmd" ; echo "$cronjob" ) | crontab - +( crontab -l 2>/dev/null | grep -v -F "$cron_cmd" ; echo "$cronjob" ) | crontab - echo " crontab changed to:" echo "$(crontab ...
bash
d_bash_20702
--- +++ @@ -34,6 +34,7 @@ kompare \ python-dev \ python3-dev \ + python3-pip \ scala \ tmux \ tree \
bash
d_bash_20703
--- +++ @@ -5,14 +5,14 @@ exit 1 fi -pip install -r requirements-test.txt +pip install -U -r requirements-test.txt if [[ $USE_OPTIONAL == "true" ]]; then if [[ $TRAVIS_PYTHON_VERSION == "pypy" || $TRAVIS_PYTHON_VERSION == "pypy3" ]]; then - pip install -r requirements-optional.txt + pip install -U -...
bash
d_bash_20704
--- +++ @@ -1,6 +1,6 @@ #!/bin/sh -e -HUGO_VERSION=0.40.3 +HUGO_VERSION=0.44 platform=Linux if [ $(uname) = "Darwin" ]; then
bash
d_bash_20705
--- +++ @@ -12,8 +12,15 @@ echo "Something wrong..." cat $GERRIT_SITE/logs/error_log fi - #Customize gerrit.config - [ -z $CANONICAL_WEBURL ] || git config -f $GERRIT_SITE/etc/gerrit.config gerrit.canonicalWebUrl $CANONICAL_WEBURL fi + #Customize gerrit.config + #Section gerrit + [ -z $...
bash
d_bash_20706
--- +++ @@ -4,7 +4,7 @@ VERSION=`cat VERSION` _clean() { - docker rmi crier_worker + docker rmi crierprxorg_worker } _build() { @@ -16,8 +16,8 @@ } _tag() { - docker tag -f crier_worker publicradioexchange/crier_worker:$VERSION - docker tag -f crier_worker publicradioexchange/crier_worker:latest + do...
bash
d_bash_20707
--- +++ @@ -1,6 +1,6 @@ #!/usr/bin/env bash -export SNABB_TEST_IMAGE=${SNABB_TEST_IMAGE:=eugeneia/snabb-nfv-test} +export SNABB_TEST_IMAGE=${SNABB_TEST_IMAGE:=snabbco/nfv-dpdk2.1} # Snabb Switch Docker environment
bash
d_bash_20708
--- +++ @@ -1,10 +1,10 @@ #!/bin/bash -USER="ginger" +USER="zotonic" HOST="localhost" DB=$1 FILE=$2 -PASSWORD="ginger" +PASSWORD="zotonic" SCHEMA="public" sudo service zotonic stop
bash
d_bash_20709
--- +++ @@ -1,6 +1,7 @@ #!/bin/sh +source /opt/local/bin/os-utils.sh -openstack service create --name keystone --description "OpenStack Identity" identity -openstack endpoint create --region RegionOne identity public "http://$1:5000/v2.0" -openstack endpoint create --region RegionOne identity internal "http://$1:5...
bash
d_bash_20710
--- +++ @@ -18,5 +18,5 @@ ###################################################################### # Stop server and db -kill -SIGKILL $(< $SERVER_PID) -kill -SIGKILL $(< $DB_PID) +kill -SIGTERM $(< $SERVER_PID) +kill -SIGTERM $(< $DB_PID)
bash
d_bash_20711
--- +++ @@ -11,19 +11,37 @@ exit 1 fi +arch=`uname -m` + +echo +echo echo "Compile wheels" for PYTHON in ${PYTHON_VERSIONS}; do /opt/python/${PYTHON}/bin/pip install -r /io/requirements/wheel.txt /opt/python/${PYTHON}/bin/pip wheel /io/ -w /io/dist/ done +echo +echo echo "Bundle external share...
bash
d_bash_20712
--- +++ @@ -1,4 +1,12 @@ #!/bin/bash + +# Make sure, we run in the root of the repo and +# therefore run the tests on all packages +base_dir="$( cd "$(dirname "$0")/.." && pwd )" +cd "$base_dir" || { + echo "Cannot cd to '$base_dir'. Aborting." >&2 + exit 1 +} rc=0 @@ -18,14 +26,12 @@ go vet -all ./... rc=$...
bash
d_bash_20713
--- +++ @@ -23,6 +23,6 @@ if [[ $REPLY =~ ^[Yy]$ ]] then service nginx stop - certbot-2 certonly --standalone --rsa-key-size 4096 $domainsParameter + certbot certonly --standalone --rsa-key-size 4096 $domainsParameter service nginx start fi
bash
d_bash_20714
--- +++ @@ -11,6 +11,8 @@ COREDIR=$(mktemp -d) add_pm_script "systemd" +sed -i -e '1 s/^.*$/\#!\/usr\/bin\/bash/' "$COREDIR/suspend.sh" + cat "$COREDIR/suspend.sh" rm -rf "$COREDIR"
bash
d_bash_20715
--- +++ @@ -1,8 +1,8 @@ #!/bin/sh set -e -PLATFORM="platform=iOS Simulator,OS=9.2,name=iPhone 6s" -SDK="iphonesimulator9.2" +PLATFORM="platform=iOS Simulator,OS=9.3,name=iPhone 6s" +SDK="iphonesimulator9.3" xctool \ -workspace StudyBox_iOS.xcworkspace \
bash
d_bash_20716
--- +++ @@ -2,7 +2,7 @@ fail=0 -if grep -n ' $$' "$@" +if grep -n ' $' "$@" then echo "^^^ The above files contain unwanted trailing spaces" fail=1
bash
d_bash_20717
--- +++ @@ -6,8 +6,8 @@ VARIANT_REPO=https://github.com/mapbox/variant.git VARIANT_TAG=v1.0 -VARIANT_LATEST=$(http --body https://api.github.com/repos/mapbox/variant/releases/latest | jq ".tag_name") -OSMIUM_LATEST=$(http --body https://api.github.com/repos/osmcode/libosmium/releases/latest | jq ".tag_name") +VA...
bash
d_bash_20718
--- +++ @@ -3,7 +3,7 @@ git clone https://github.com/geramirez/concourse-filter &>/dev/null pushd concourse-filter go build &>/dev/null - CREDENTIAL_FILTER_PARAMS=STACKS,DEPLOYMENT_NAME,SSH_AGENT_PID,CF_EDGE,IAAS,RUBYGEM_MIRROR,BOSH_LITE_NAME,AZURE_BOSH_USER,BOSH_USER,LANGUAGE,CI_CF_USERNAME + CREDENTIAL_FILTE...
bash
d_bash_20719
--- +++ @@ -1,5 +1,5 @@ #! /bin/bash git add build -git commit -m 'Automatic build update' +git commit -m '[ci skip] Automatic build update' git push origin HEAD:develop
bash
d_bash_20720
--- +++ @@ -17,6 +17,7 @@ [ -d $P ] && rm -Rfv $P git clone --depth=10 --branch=gh-pages git@github.com:${TRAVIS_REPO_SLUG}.git $P +rm -Rfv dosage.egg-info ssite build rsync -r --del --verbose --exclude tests \
bash
d_bash_20721
--- +++ @@ -4,6 +4,6 @@ echo "$DOCKER_PASSWORD" | docker login -u "$DOCKER_USERNAME" --password-stdin -docker-compose -f docker-compose.build.yml build $NAME +docker-compose -f docker-compose.build.yml build -docker-compose -f docker-compose.build.yml push $NAME +docker-compose -f docker-compose.build.yml push
bash
d_bash_20722
--- +++ @@ -1,4 +1,7 @@ #!/bin/bash + +#Exit on any error +set -e LANGUAGE=$1
bash
d_bash_20723
--- +++ @@ -1,5 +1,5 @@ -# Use the 16 colors terminal option to get VIM to look like GVIM with solarized colors. -set t_Co=16 +# Set correct term for tmux so solarized theme works in vim. +alias tmux="TERM=screen-256color-bce tmux" # Activate the theme for all future shell sessions. eval `dircolors $ZSH_CUSTOM/di...
bash
d_bash_20724
--- +++ @@ -3,6 +3,7 @@ curl -fLo ~/.local/share/nvim/site/autoload/plug.vim --create-dirs \ https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim +mkdir $HOME/.vim.backup mkdir -p "$HOME/.config/nvim/" cp init.vim "$HOME/.config/nvim/init.vim"
bash
d_bash_20725
--- +++ @@ -8,4 +8,7 @@ chown -R premiumizer:premiumizer /conf || true +# Allow write access on downloaded files to group and others +umask 0000 + exec su-exec premiumizer "$@"
bash
d_bash_20726
--- +++ @@ -4,7 +4,7 @@ cd $PARENT_DIR -rm -rf composer.lock vendor/bin vendor/.composer +rm -rf composer.lock vendor/bin vendor/.composer vendor/composer rm -rf vendor/installed.json vendor/autoload*.php vendor/ClassLoader.php odb_clean_dependency () {
bash
d_bash_20727
--- +++ @@ -9,7 +9,7 @@ alias glog="git log --graph --pretty=format:'%Cred%h%Creset %an: %s - %Creset %C(yellow)%d%Creset %Cgreen(%cr)%Creset' --abbrev-commit --date=relative" # alias gd='git difftool -y -x "colordiff -y -W $COLUMNS" | less -rXF' # alias gd='git diff | cdiff -s -w 0' -alias gd='git diff | `brew --...
bash
d_bash_20728
--- +++ @@ -1,5 +1 @@ -DIR=$(mktemp -d) -git clone https://github.com/adamhammes/hammes.io $DIR -cd $DIR hugo --destination /home/adam/site -rm -rf $DIR
bash
d_bash_20729
--- +++ @@ -1,4 +1,6 @@ #!/bin/bash + +shopt -s nullglob for r in recipe/*.recipe; do ./sync-recipe.bash ${r}
bash
d_bash_20730
--- +++ @@ -11,6 +11,6 @@ alias heroku='nocorrect heroku' alias h='heroku' -alias hc='heroku console' +alias hc='heroku run console' alias hr='heroku run' alias hv='heroku config'
bash
d_bash_20731
--- +++ @@ -39,5 +39,5 @@ cd ${root} rsync -azP .built/* ${WKM_DEPLOY_USER}@${server}:/var/www/wkm/ -ssh ${WKM_DEPLOY_USER}@${server} "cd /var/www/wkm/server && yarn install && cd .." +ssh ${WKM_DEPLOY_USER}@${server} "cd /var/www/wkm/server && npm install && cd .." cd ${root}
bash
d_bash_20732
--- +++ @@ -25,4 +25,4 @@ opam init -y eval `opam config env` -opam install ocamlfind zarith +opam install -y ocamlfind zarith
bash
d_bash_20733
--- +++ @@ -3,16 +3,9 @@ ZEND_DONT_UNLOAD_MODULES=1 $(phpenv which php) ./unit-tests/ci/phpunit.php --debug -c unit-tests/phpunit.xml --testsuite=stable result_phpunit=$? -if [ "$(php -r 'echo substr(PHP_VERSION, 0, 3);')" = "5.3" ]; -then - # Not going to run any Codeception tests for 5.3 - echo ".." - ...
bash
d_bash_20734
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash cd cli/venom -for GOOS in windows darwin linux freebsd; do +for GOOS in windows darwin linux freebsd solaris; do for GOARCH in 386 amd64 arm; do if [[ $GOARCH == "arm" && $GOOS != "linux" ]]; then continue;
bash
d_bash_20735
--- +++ @@ -2,6 +2,7 @@ # Install CHOP Authentication for CHOP/CID cd /opt/apps/harvest-app/ && /opt/ve/harvest-app/bin/pip install -r /opt/apps/harvest-app/continuous_deployment/requirements.txt +cp /opt/apps/harvest-app/continuous_deployment/conf/app.py /opt/apps/harvest-app/omop_harvest/conf/app.py cd /opt/...
bash
d_bash_20736
--- +++ @@ -1,6 +1,4 @@ #!/bin/bash - -set -o verbose mkdir curl_build cd curl_build @@ -10,8 +8,9 @@ libevent-dev libjansson-dev libjemalloc-dev cython python-setuptools # Build nghttp2 from source -git clone https://github.com/nghttp2/nghttp2.git -cd nghttp2 +wget https://github.com/nghttp2/nghttp2/relea...
bash
d_bash_20737
--- +++ @@ -6,8 +6,9 @@ #------------------------------------------------------------------------------- # Bundler -alias bi='bundle install' -alias bu='bundle update' +config='--clean --path .rubygems --binstubs bin' +alias bi="bundle install $config" +alias bu="bundle update $config" alias be='bundle exec' ...
bash
d_bash_20738
--- +++ @@ -1,4 +1,9 @@ #!/bin/sh +if [ -n "$(git describe --always --dirty | grep -- -dirty)" ] +then + echo "Working tree is dirty, please commit or stash your changes, then try again" + exit 1 +fi CURRENT_BRANCH=`git symbolic-ref -q HEAD | sed -e 's|^refs/heads/||'` npm run generate-site git fetch origin...
bash
d_bash_20739
--- +++ @@ -16,7 +16,7 @@ # alias nr="nginxreload" # php -export PHP_PATH="$(brew --prefix josegonzalez/php/php55)" +command -v brew > /dev/null && export PHP_PATH="$(brew --prefix josegonzalez/php/php55)" export PATH="$PHP_PATH/bin:$PATH" alias phpini="e /usr/local/etc/php/5.5/php.ini"
bash
d_bash_20740
--- +++ @@ -18,4 +18,4 @@ sudo dpkg-reconfigure locales echo "---> Translating $(tput bold ; tput setaf 3)$DOCROOT$/i18n/fr_FR.UTF-8/LC_MESSAGES/messages.po(tput sgr0)" -msgfmt $DOCROOT/i18n/fr_FR.UTF-8/LC_MESSAGES/messages.po +msgfmt -o $DOCROOT/i18n/fr_FR.UTF-8/LC_MESSAGES/messages.mo $DOCROOT/i18n/fr_FR.UTF-8/...
bash
d_bash_20741
--- +++ @@ -6,7 +6,7 @@ echo '--- install dependencies' go get github.com/tools/godep -godep get +godep restore echo '--- building packages' ./scripts/build.sh
bash
d_bash_20742
--- +++ @@ -11,7 +11,7 @@ eval "$(ssh-agent -s)" #start the ssh agent ssh-add .travis/id_rsa - gulp cd:pushAndRun + gulp cd elif [ $TRAVIS_BRANCH = "staging" ]; then echo "Deploying to staging and testing"
bash
d_bash_20743
--- +++ @@ -8,7 +8,7 @@ a="/$0"; a=${a%/*}; a=${a#/}; a=${a:-.}; BINDIR=`cd $a; pwd` PATH=$BINDIR:$PATH -temp=`mktemp` +temp=`mktemp /tmp/$$.XXXXXXXX` despf.sh $domain > ${temp}-1 2>/dev/null despf.sh $compare_domain > ${temp}-2 2>/dev/null
bash
d_bash_20744
--- +++ @@ -5,3 +5,5 @@ alias ubvu_harvest='python /home/django/web/frontend/ubervu/run_harvest.py' alias sup='supervisorctl' +alias open_before_work='osascript /Users/alex/.homesick/repos/palcu/dotfiles/applescripts/open_before_work.applescript' +alias quit_after_work='osascript /Users/alex/.homesick/repos/palcu...
bash
d_bash_20745
--- +++ @@ -6,19 +6,22 @@ # By default, Docker caches images indefinitely. Cached images can be useful to reduce the time needed to launch new tasks: if the image is cached, the container can be started from the cache. If you have a lot of images that are rarely used, as is common in CI or development environments, ...
bash
d_bash_20746
--- +++ @@ -11,6 +11,6 @@ chown -R ubuntu:ubuntu fbctf cd fbctf export HOME=/root +./extra/provision.sh -m prod -c certbot -D ctf.${eventName}.${baseDomain} -e admin@${baseDomain} -s $PWD source ./extra/lib.sh set_password ${dsmT0Password} ctf ctf fbctf $PWD -./extra/provision.sh -m prod -c certbot -D ctf.${even...
bash
d_bash_20747
--- +++ @@ -13,7 +13,7 @@ #export GREP_OPTIONS='--color=auto' # base paths to use for "cd" command completion -export CDPATH=.:~:/mnt:/media;/etc +export CDPATH=.:~:/mnt:/media:/etc # PATHs for command lookup ex...
bash
d_bash_20748
--- +++ @@ -23,7 +23,7 @@ echo "=============================================" # Output the commands available to make it easier to debug. echo "" - echo "- make help" + echo "- make help ($BOARD $TARGET)" echo "---------------------------------------------" BOARD=$BOARD TARGET=$TARGET make help @@...
bash
d_bash_20749
--- +++ @@ -54,6 +54,6 @@ VERSION=$(./SCYLLA-VERSION-GEN) printf "version=%s" $VERSION > build.properties -ant jar +ant -Dwithout.maven=true jar dist/debian/debian_files_gen.py scripts/create-relocatable-package.py --version $VERSION build/scylla-tools-package.tar.gz
bash
d_bash_20750
--- +++ @@ -2,4 +2,5 @@ export PATH=./build/bin/:$PATH export LD_LIBRARY_PATH=./build/lib/:$LD_LIBRARY_PATH +export ERL_MAX_PORTS=4096 exec erl +K true -smp enable -pa ./build/bin -noshell -run olegdb main ${1+"$@"}
bash
d_bash_20751
--- +++ @@ -1,3 +1,5 @@ mkdir -p ../../static python3 ../src/m_play/manage.py collectstatic -python3 ../src/m_play/manage.py runserver +sudo /etc/init.d/nginx restart +cd ../src/m_play/ +uwsgi --socket :8001 --module m_play.wsgi:application --chmod-socket=664
bash
d_bash_20752
--- +++ @@ -15,7 +15,7 @@ # commit site git config user.email "ditaotbot@gmail.com" git config user.name "DITA-OT Bot" -git commit -a -m "Deploy dita-ot/docs@${TRAVIS_COMMIT:0:7} to dev" +git commit -a -m "Deploy dita-ot/docs@${TRAVIS_COMMIT:0:7} to 'dev' docs" # push git remote set-url origin git@github.com:dit...
bash
d_bash_20753
--- +++ @@ -1,6 +1,12 @@ #!/bin/sh - # We just download the bootstrap script by default and execute that. -python \ - -c 'import urllib; print urllib.urlopen("http://bootstrap.saltstack.org").read()' \ - | sh -s -- "$@" +if [ -x /usr/bin/fetch ]; then + /usr/bin/fetch -o - http://bootstrap.saltstack.org ...
bash
d_bash_20754
--- +++ @@ -20,6 +20,7 @@ "templatecaches" "templatecachecriteria" "templatecacheelements" + "templatecachequeries" ) TMP_DB_DUMP_CREDS_PATH="/tmp/craftscripts.creds"
bash
d_bash_20755
--- +++ @@ -9,9 +9,19 @@ # install tools documented by Hackaton starter kit sudo apt-get install build-essential # Install other build tools -apt-get install -y make g++ git curl vim libcairo2-dev libav-tools nfs-common portmap +apt-get install -y make g++ git curl vim libcairo2-dev libav-tools nfs-common portmap ...
bash
d_bash_20756
--- +++ @@ -15,6 +15,11 @@ , globalWrap = require('global-wrap') , path = require('path'); +var glob = function() { + return 'typeof self !== "undefined" ? self : ' + + 'typeof window !== "undefined" ? window : {}'; +}; + // // Build Engine.IO client using the `global-wrap` module. // This generates a ...
bash
d_bash_20757
--- +++ @@ -7,8 +7,16 @@ exit 1 fi +# get tag name as first argument +tag_name=$1 + +if [[ ! ${tag_name} =~ ^\@dbmdz\/mirador-.*?\@[0-9]+\.[0-9]+\.[0-9]+$ ]] +then + echo 'Tge tag name has to match the pattern "@dbmdz/mirador-<plugin name>@<version>"!' + exit 1 +fi + # extract the plugin name and the version...
bash
d_bash_20758
--- +++ @@ -2,7 +2,7 @@ set -o errexit set -o nounset -GO_VERSION="1.7rc6" +GO_VERSION="1.7" echo "Install Go "$GO_VERSION" at "$GOROOT
bash
d_bash_20759
--- +++ @@ -3,7 +3,6 @@ # See http://superuser.com/questions/598810/zsh-config-to-export-or-not-to-export/598924#598924 # for more info. path=( - ./bin /usr/local/bin /usr/local/sbin $ZSH/bin @@ -16,4 +15,11 @@ # FIXME: There must be a better way to do this . $HOME/.asdf/asdf.sh +# now make sure ./bi...
bash
d_bash_20760
--- +++ @@ -3,6 +3,7 @@ . "$(dirname "$(readlink -f "$0")")"/../../ovirt-engine/bin/engine-prolog.sh "${JAVA_HOME}/bin/java" \ + --add-modules java.se \ -Djava.security.auth.login.config="${ENGINE_USR}/conf/jaas.conf" \ -Djava.util.logging.config.file="${OVIRT_LOGGING_PROPERTIES}" \ -Djboss.modules.write-in...
bash
d_bash_20761
--- +++ @@ -15,8 +15,8 @@ echo "-- pushing docs --" - git config user.name "Travis CI" - git config user.email "travis@travis.com" + git config --global user.name "Travis CI" + git config --global user.email "travis@travis.com" commitMessage=`git log -1 --pretty=%B` commitHash=`git rev-parse HEAD`
bash
d_bash_20762
--- +++ @@ -9,7 +9,7 @@ [Desktop Entry] Name=Mattermost Comment=Mattermost Desktop application for Linux -Exec="${FULL_PATH}/Mattermost" +Exec="${FULL_PATH}/mattermost-desktop" Terminal=false Type=Application Icon=${FULL_PATH}/icon.png
bash
d_bash_20763
--- +++ @@ -17,8 +17,8 @@ [ -e $PACKAGES ] || export PACKAGES=Packages if which parallel >/dev/null ; then for gen in $PACKAGES/*/gir-to-swift.sh ; do \ - echo echo \"Generate Swift Wrapper for `basename $(dirname $gen) | cut -d- -f1`\" \; \ - "( cd `dirname $gen` && ./`basename $gen` $@ )" ; \ + echo "( cd `dir...
bash
d_bash_20764
--- +++ @@ -5,11 +5,6 @@ cd bench ${CABAL_HOME}/bin/cabal update - -# Run cabal sandbox delete in order to clear old, -# previously installed dependencies. -${CABAL_HOME}/bin/cabal sandbox delete - ${CABAL_HOME}/bin/cabal sandbox init ${CABAL_HOME}/bin/cabal --bindir=${TROOT}/bench/dist/build/bench install
bash
d_bash_20765
--- +++ @@ -24,7 +24,7 @@ rm -rf * # Download the latest javadoc -curl -L "http://repository.sonatype.org/service/local/artifact/maven/redirect?r=central-proxy&g=$GROUP_ID&a=$ARTIFACT_ID&v=LATEST&c=javadoc" > javadoc.zip +curl -L "https://search.maven.org/remote_content?g=$GROUP_ID&a=$ARTIFACT_ID&v=LATEST&c=javad...
bash
d_bash_20766
--- +++ @@ -21,6 +21,7 @@ } # mkpasswd requires whois package +apt-get update apt-get install -y whois create_user
bash
d_bash_20767
--- +++ @@ -1,7 +1,11 @@ -GIT_PROMPT_EXECUTABLE="haskell" +# Use the faster haskell executable if it's present +if [[ -x "$DOTFILES/vendor/zsh-git-prompt/src/.bin/gitstatus" ]]; then + GIT_PROMPT_EXECUTABLE="haskell" +fi source $DOTFILES/vendor/zsh-git-prompt/zshrc.sh +ZSH_THEME_GIT_PROMPT_CACHE=1 ZSH_THEME_GI...
bash
d_bash_20768
--- +++ @@ -32,6 +32,7 @@ # Change versions in files sed -i -e "s/3.4/${LLVM_VERSION}/g" .travis.yml +find . -type f -not -path '*/\.*' -exec sed -i -e "s/go-clang-phoenix-bootstrap/go-clang-phoenix-v${LLVM_VERSION}/g" {} + # Show the current state of the repository git status
bash
d_bash_20769
--- +++ @@ -13,15 +13,6 @@ pushd "featuretests" -echo "--------------------- javac -------------------" - -echo "javac -version" -javac -version - -echo "'which javac' = '$(which javac)'" - -echo "JAVA_HOME = '$JAVA_HOME'" - ./gradlew test
bash
d_bash_20770
--- +++ @@ -1,15 +1,13 @@ #!/bin/bash -if [[ "`uname`" != "Darwin" ]]; then - N=${1:-4} +N=${1:-4} - watch -n 1 ' - for i in $(seq 1 '$N'); - do - curl -s -m 1 http://172.77.5.$i:80/Stats | \ - tr -d "{}\"" | \ - awk -F "," '"'"'{gsub (/[,]/," "); print;}'"'"' - done...
bash
d_bash_20771
--- +++ @@ -38,7 +38,7 @@ output_section "Creating .profile.d with env vars" mkdir $build_path/.profile.d - local export_line="export PATH=$platform_tools_path:$erlang_path/bin:${elixir_path}/bin:\$PATH" + local export_line="export PATH=\$HOME:\$HOME/erlang/bin:\$HOME/elixir/bin:\$PATH" echo "Export stat...
bash
d_bash_20772
--- +++ @@ -14,7 +14,7 @@ # Pull extracted data cd staging -aws s3 cp s3://${version} . +aws s3 cp s3://baseball-workbench-builds/data/${version} . unzip ${version} rm ${version} cd ..
bash
d_bash_20773
--- +++ @@ -10,16 +10,6 @@ VERIFY=${VERIFY:-yes} EMU_HACK=${EMU_HACK:-yes} - - - -if [[ "${DASHDASH}" =~ "--" ]] ; then - if [[ $1 =~ pnacl.*x8632 ]] ; then - # TODO(robertm): remove -c option - # c.f.: http://code.google.com/p/nativeclient/issues/detail?id=893 - DASHDASH="-c --" - fi -fi rm -f *.o...
bash
d_bash_20774
--- +++ @@ -28,5 +28,5 @@ then sh sciview_deploy_unstable.sh else - echo '--> Not releasing to unstable." + echo '--> Not releasing to unstable.' fi
bash
d_bash_20775
--- +++ @@ -8,7 +8,8 @@ echo "Building $FORMULA at" $(date) -brew=homebrew/bin/brew +# I guess we'll keep doing things in /usr/local for now +brew=$(which brew) if [[ ! -f $brew ]]; then git clone https://github.com/Homebrew/homebrew.git homebrew $brew tap staticfloat/julia
bash
d_bash_20776
--- +++ @@ -31,7 +31,7 @@ gpg --export --armor > mykey.pub fi echo -n "Insert your gpg passphrase: " -read GPG_PASS +read -s GPG_PASS export GPG_PASS # install susi-dev tool
bash
d_bash_20777
--- +++ @@ -11,4 +11,11 @@ if [ -d "${HOME}/.rbenv/plugins/ruby-build" ] ; then PATH="${PATH}:${HOME}/.rbenv/plugins/ruby-build/bin" + + if which brew >/dev/null 2>&1 ; then + if brew --prefix openssl@1.1 >/dev/null 2>&1 ; then + RUBY_CONFIGURE_OPTS="--with-openssl-dir=$(brew --prefix openssl@1.1)" + ...
bash
d_bash_20778
--- +++ @@ -20,3 +20,5 @@ git config --global alias.lp 'log -p' git config --global alias.ls 'log --stat' git config --global alias.logs 'log -n 20' +git config --global alias.cgrep '!f() { git log --format=%H --grep=$1; }; f' +git config --global alias.cshow '!f() { git show `git cgrep $1`; }; f'
bash
d_bash_20779
--- +++ @@ -12,7 +12,6 @@ SRC="$(pwd)" mkdir -pv build cd build -BLD="$(pwd)" cmake "${SRC}"\ -DCMAKE_MACOSX_RPATH=false \
bash
d_bash_20780
--- +++ @@ -1,6 +1,6 @@ RT_JAR=/usr/lib/jvm/java-8-openjdk/jre/lib/rt.jar INCLUDES_DIR=../ -BUKKIT_TARGET=bukkit-1.7.9B1938.jar +BUKKIT_TARGET=bukkit-1.8.8B1.jar DST_DIR=../Server/plugins javac -Xlint:all -bootclasspath "$RT_JAR:$INCLUDES_DIR/$BUKKIT_TARGET" -d ./ src/*
bash
d_bash_20781
--- +++ @@ -1,6 +1,7 @@ #!/bin/bash # should be in the same directory as requirements.txt +cd /home/GoProController echo "Installing packages..." apt-get update
bash
d_bash_20782
--- +++ @@ -12,3 +12,4 @@ cp src/Huffman_Packer.hpp $PREFIX/include/fast5/ cp src/fast5_version.hpp $PREFIX/include/fast5/ cp src/logger.hpp $PREFIX/include/fast5/ +cp src/*inl $PREFIX/include/fast5/
bash
d_bash_20783
--- +++ @@ -8,6 +8,7 @@ declare projects=( samples + apps/OboeTester ) for d in "${projects[@]}"; do @@ -23,6 +24,7 @@ samples/MegaDrone/build/outputs/bundle/debug/MegaDrone.aab samples/RhythmGame/build/outputs/bundle/ndkExtractorDebug/RhythmGame.aab samples/LiveEffect/build/outputs/bund...
bash
d_bash_20784
--- +++ @@ -13,7 +13,7 @@ OS="windows" elif [ "$OS" == "linux" ]; then ARCH=`uname -m` - if [ "$ARCH" == "i386" ] ; then + if [ "$ARCH" == "i386" -o "$ARCH" == "i686"] ; then OS="linux" elif [ "$ARCH" == "x86_64" ] ; then OS="linux64"
bash
d_bash_20785
--- +++ @@ -6,6 +6,15 @@ # Fail if any commands fail (unchecked), namely sudo and ifconfig. set -e + +# If we're not on OS X, then just bail out since lo should be routable +case $OSTYPE in + darwin*) + ;; + *) + exit 0 + ;; +esac # Check if loopback is setup if ping -c 1 -W 10 127....
bash
d_bash_20786
--- +++ @@ -6,7 +6,7 @@ set -o nounset set -o errexit -DOTFILES=( gemrc gitconfig gvimrc inputrc irbrc screenrc vimrc wgetrc zshrc ) +DOTFILES=( gemrc gitconfig gvimrc inputrc irbrc pryrc screenrc vimrc wgetrc zshrc ) SSH_CONFIG=ssh_config abort() {
bash
d_bash_20787
--- +++ @@ -31,5 +31,4 @@ chown -R vagrant:vagrant /home/vagrant/tmux-example-plugin sudo locale-gen "en_US.UTF-8" -sudo echo LC_ALL=en_US.UFT-8 > /etc/default/locale -sudo echo LANG=en_US.UFT-8 >> /etc/default/locale +sudo update-locale LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8
bash
d_bash_20788
--- +++ @@ -4,11 +4,12 @@ . dependencies.list +rm -rf realm-object-server-data +rm -rf realm-object-server + #use existing server if same version if [ -f node_modules/realm-object-server/package.json ]; then if grep -q "\"version\": \"$REALM_OBJECT_SERVER_VERSION\"" node_modules/realm-object-server/packag...
bash
d_bash_20789
--- +++ @@ -11,11 +11,13 @@ curl -X PUT http://localhost:8282/$TAIL -d @$TAIL done +# Set-up and migrate parser database +docker run --rm -it -v cache:/app/cache --entrypoint ./manage.py eregs/parser migrate +PARSER="docker run --rm -it -v cache:/app/cache --link core:core eregs/parser" # Load a real notice ...
bash
d_bash_20790
--- +++ @@ -22,3 +22,5 @@ ## Add the host ip detector as startup script cp /build/bin/detect-docker-host-ip /etc/my_init.d/ +## Set python executable +ln -s /usr/bin/python3 /usr/bin/python
bash
d_bash_20791
--- +++ @@ -6,3 +6,4 @@ "${BASE}/helpers_tests.sh" "${BASE}/pharo_tests.sh" "${BASE}/squeak_tests.sh" +python "${BASE}/../lib/file_out_gittifier.py" --testing "${BASE}/../src/"*.st
bash
d_bash_20792
--- +++ @@ -5,7 +5,7 @@ ACE_URL="https://github.com/ajaxorg/ace-builds/archive/${ACE_VERSION}.tar.gz" # Ace build we want to keep -ACE_SUB="src-min-noflict" +ACE_SUB="src-min-noconflict" # Current folder DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
bash
d_bash_20793
--- +++ @@ -1,6 +1,6 @@ #!/usr/bin/env bash -read -rp "Do you want to install Frost [Y/n]? " response +read -rp "Do you want to install Frost Plank Theme? [Y/n] " response case "$response" in [yY][eE][sS]|[yY]|"")
bash
d_bash_20794
--- +++ @@ -34,3 +34,4 @@ do_build TEENSY40 TEENSY40 hex do_build TEENSY41 TEENSY41 hex do_build MIMXRT1020_EVK MIMXRT1020_EVK bin +do_build MIMXRT1050_EVKB MIMXRT1050_EVKB bin
bash
d_bash_20795
--- +++ @@ -20,7 +20,7 @@ echo "Installed Python dependencies" install -m644 "$repo_dir/misc/statbot.service" /usr/local/lib/systemd/system/statbot.service -chown root:root /etc/systemd/system/statbot.service +chown root:root /usr/local/lib/systemd/system/statbot.service echo "Installed systemd service" syste...
bash
d_bash_20796
--- +++ @@ -4,7 +4,6 @@ # Casks to install casks=( 1password - atom betterzipql day-o dropbox @@ -18,6 +17,7 @@ iterm2 java jetbrains-toolbox + jitouch microsoft-office qlimagesize qlmarkdown @@ -31,6 +31,7 @@ teamviewer texpad tunnelblick + visual-studio-code vlc ) ...
bash
d_bash_20797
--- +++ @@ -4,6 +4,7 @@ chmod a+x certbot-auto ./certbot-auto --debug certonly --webroot -w /usr/share/nginx/html/ -d ${dsmFqdn} --non-interactive --agree-tos --email event@trenddemos.com sudo chown -R ec2-user:ec2-user /etc/letsencrypt +aws iam delete-server-certificate --server-certificate-name ${dsmFqdn} uploa...
bash
d_bash_20798
--- +++ @@ -5,7 +5,7 @@ name="$(jq -r .source.name source/data.json)" version="$(jq -r .version.ref source/data.json)" metadata_file_path="builds/binary-builds-new/$name/$version-cflinuxfs3.json" -filename="builds/binary-builds-new/$name/$version-$STACK_ID.json" +filename="binary-builds-new/$name/$version-$STACK_I...
bash
d_bash_20799
--- +++ @@ -1,3 +1,7 @@ +if [ "${TRAVIS_OS_NAME}" == "osx" ]; then + rvm get head || true +fi + set -e RUST_BACKTRACE=1 cargo test --verbose --features $CLANG_VERSION -- --nocapture
bash